Send Status
curl --request POST \
--url https://api.l2msg.com/whatsapp/message/sendStatus/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"content": "<string>",
"caption": "<string>",
"backgroundColor": "<string>",
"font": 123,
"allContacts": true,
"statusJidList": [
"{{remoteJID}}"
]
}
'import requests
url = "https://api.l2msg.com/whatsapp/message/sendStatus/{instance}"
payload = {
"content": "<string>",
"caption": "<string>",
"backgroundColor": "<string>",
"font": 123,
"allContacts": True,
"statusJidList": ["{{remoteJID}}"]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
caption: '<string>',
backgroundColor: '<string>',
font: 123,
allContacts: true,
statusJidList: ['{{remoteJID}}']
})
};
fetch('https://api.l2msg.com/whatsapp/message/sendStatus/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "status@broadcast",
"fromMe": true,
"id": "BAE5FAB9E65A3DA8"
},
"message": {
"extendedTextMessage": {
"text": "example",
"backgroundArgb": 4294910617,
"font": "FB_SCRIPT"
}
},
"messageTimestamp": "1717691767",
"status": "PENDING",
"participant": "553198296801:17@s.whatsapp.net"
}Send Message
Send Status
Post WhatsApp status (stories)
POST
/
message
/
sendStatus
/
{instance}
Send Status
Authorizations
Your authorization key header
Path Parameters
Name of the instance
Body
application/json
status type
Available options:
text, image, audio status type
Optional for image or video
Exemple #008000
1 = SERIF 2 = NORICAN_REGULAR 3 = BRYNDAN_WRITE 4 = BEBASNEUE_REGULAR 5 = OSWALD_HEAVY
true to send to all contacts or false to send to statusJidList below
Numbers to send status
Available options:
{{remoteJID}} Response
201 - application/json
Created
The key of the message, which identifies the message in the chat.
Show child attributes
Show child attributes
The message content, which may include various types of messages like text, images, etc.
Show child attributes
Show child attributes
The timestamp of the message, represented as a string.
The status of the message, such as sent, received, or pending.
The participant in the chat to whom the message was sent.
⌘I